# Yourapi

Simple API client of Your Friends.

## Installation

Add this line to your application's Gemfile:

    gem 'yourapi'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install yourapi

## Usage

Add configuration to your initializer:

    Yourapi.config do |config|
      config.application_id = 'APPLICATION_ID'
      config.application_secret_key = 'APPLICATION_SECRET_KEY'
      config.base_uri = 'http://API_HOST'
    end

Use it after initializing client:

    # Initialize client using user's API key (can be omitted)
    client = Yourapi.client(USERS_API_KEY)

    # Make request
    client.create_transaction(10)

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
