require 'yourapi/version'
require 'yourapi/configuration'
require 'yourapi/client'

module Yourapi
  def self.config
    yield configuration
  end

  def self.configuration
    @configuration ||= Yourapi::Configuration.new
  end

  def self.client(api_key = nil)
    Yourapi::Client.new(api_key)
  end
end
