require 'rspec'
Dir['./spec/support/**/*.rb'].sort.each { |f| require f }
require 'webmock/rspec'

require 'yourapi'

RSpec.configure do |config|
  config.mock_with :rspec

  config.before(:suite) do
    Yourapi.config do |config|
      config.base_uri = 'http://localhost:3000'
    end
  end
end
