# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'yourapi/version'

Gem::Specification.new do |gem|
  gem.name          = 'yourapi'
  gem.version       = Yourapi::VERSION
  gem.authors       = ['Inbeom Hwang']
  gem.email         = ['inbeom@ultracaption.net']
  gem.description   = %q{Simple API client of Your Friends}
  gem.summary       = %q{Allows you to access Your Friends API in your applications.}
  gem.homepage      = 'http://gitlab.ultracaption.net/yourapi'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_dependency 'httparty', '~> 0.12.0'

  gem.add_development_dependency 'rake'
  gem.add_development_dependency 'rspec'
  gem.add_development_dependency 'webmock'
end
